Bug 80050 - [855GM] Incorrect drop shadow color under windows in Cinnamon persists with MESA 10.1.
Summary: [855GM] Incorrect drop shadow color under windows in Cinnamon persists with M...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i830 (show other bugs)
Version: 10.1
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-15 14:48 UTC by rkmugen.linux
Modified: 2015-04-10 16:15 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rkmugen.linux 2014-06-15 14:48:04 UTC
I wasn't sure if I should've just edited my previous bug post #72819 since the problem persists with a newer version of MESA.  But as the subject heading reads, that's exactly what happens.

I was testing Linux Mint 17 Cinnamon edition with the same video hardware (Intel 82852/855GM) and I noticed some things compared to the previous Linux Mint 16 Cinnamon edition:

1)  In Cinnamon for Linux Mint 16, the background color for all drop-down menus wasn't visible, making it very difficult to read the text for each menu item.  In Cinnamon for Linux Mint 17, the bug appears to be fixed; the background color is now visible.

2)  However, for Cinnamon under Linux Mint 16 and 17, regardless of what alternate appearance theme I tried to apply, the windows always show the incorrect dropshadow color (white) instead of black.

The terminal outputs for glxinfo (when I'm testing under Linux Mint 17) show that I am indeed running MESA 10.1 and that I do have direct rendering enabled.

While I have absolutely NO idea what's causing this or what packages are responsible for whatever else, the following list are of packages that I'm currently using, that I think have something to do with this bug, and their current version numbers:
*libdrm-intel1 v2.4.52-1
*xserver-xorg-video-intel v2:2.99.910-0ubuntu1
*libgl1-mesa-dri v10.1.0.4.ubuntu5
*libgl1-mesa-glx v10.1.0.4.ubuntu5
*libglapi-mesa v10.1.0.4.ubuntu5
*libglu1-mesa v9.0.0-2
*linux-kernel-generic v3.13.0-24
*linux-firmware v1.127

Please note that I'm experiencing this bug on Linux Mint 17 Cinnamon Edition with the Intel 82852/855GM chipset.
Comment 1 Ville Syrjala 2015-04-10 16:15:31 UTC
Presuming the shadows are fixed by:

commit 40a08e0d6a57cc79ee72a62aeedec20cae774ed5
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Aug 7 11:14:35 2014 +0300

    i915: Use L8A8 instead of I8 to simulate A8 on gen2


bug/show.html.tmpl processed on Jan 16, 2017 at 21:48:51.
(provided by the Example extension).